




#ifndef XCSTATICMODELWRITABLE_H
#define XCSTATICMODELWRITABLE_H

#include "xasset.h"

class XCStaticModelWritable : public XAsset
{
public:
    explicit XCStaticModelWritable();

    void ParseData(QDataStream *aStream) override;

    quint16 GetNextModelInWorldSector() const;
    void SetNextModelInWorldSector(quint16 nextModel);

private:
    quint16 mNextModelInWorldSector = 0;
};

#endif // XCSTATICMODELWRITABLE_H




